<template>
  <a-config-provider :locale="zh_CN">
    <div id="app">
      <router-view />
    </div>
  </a-config-provider>
</template>

<script lang="ts">
import Vue from 'vue'
import zh_CN from 'ant-design-vue/lib/locale-provider/zh_CN'
import moment from 'moment'
import 'moment/locale/zh-cn'
moment.locale('zh-cn')

import {
  DatePicker,
  Button,
  Table,
  Divider,
  Modal,
  Input,
  Upload,
  Col,
  Row,
  Popconfirm,
  Select,
  FormModel,
  Spin,
  Pagination,
  ConfigProvider,
} from 'ant-design-vue'
Vue.use(DatePicker)
  .use(Button)
  .use(Table)
  .use(Divider)
  .use(Modal)
  .use(Input)
  .use(Upload)
  .use(Col)
  .use(Row)
  .use(Popconfirm)
  .use(Select)
  .use(Spin)
  .use(Pagination)
  .use(ConfigProvider)
  .use(FormModel)

export default Vue.extend({
  data() {
    return {
      zh_CN,
    }
  },
})
</script>
